diff -ruN ../php5-ice.orig/Makefile ./Makefile
--- ../php5-ice.orig/Makefile	2013-02-14 11:22:19.000000000 +0100
+++ ./Makefile	2013-06-02 16:54:52.000000000 +0200
@@ -1,42 +1,42 @@
-# New ports collection makefile for:	php-ice
-# Date created:				2007-08-21
-# Whom:					DIrk Ye <dirk.ye@gmail.com>
-#
-# $FreeBSD: ports/devel/php5-ice/Makefile,v 1.12 2013/02/14 10:22:19 svnexp Exp $
-#
+# Created by: Boris B. Samorodov <bsam@ipt.ru>
+# $FreeBSD: ports/devel/py-ice/Makefile,v 1.23 2013/02/14 10:22:20 svnexp Exp $
 
 PORTNAME=	Ice
-PORTVERSION=	3.4.2
-CATEGORIES=	devel
-MASTER_SITES=	http://download.zeroc.com/Ice/3.4/
-PKGNAMEPREFIX=	php5-
-DISTNAME=	Ice-${PORTVERSION}
+PORTVERSION=	3.5.0
+CATEGORIES=	devel python
+MASTER_SITES=	http://download.zeroc.com/Ice/3.5/
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	An Ice (Internet Communications Engine) language mapping for PHP
+MAINTAINER=	freebsd@grem.de
+COMMENT=	Ice (Internet Communications Engine) language mapping for Python
 
+LICENSE=	GPLv2
+
+BUILD_DEPENDS=	mcpp:${PORTSDIR}/devel/mcpp
 LIB_DEPENDS=	Ice.${LIB_VRS}:${PORTSDIR}/devel/ice
 
 USE_GMAKE=	yes
-MAKE_ARGS+=	PHP_EXT_DIR=${PHP_EXT_DIR}
-USE_PHP=	yes
-USE_PHP_BUILD=	yes
-DEFAULT_PHP_VER=53
-IGNORE_WITH_PHP=5
-BUILD_WRKSRC=	${WRKSRC}/php
-INSTALL_WRKSRC=	${WRKSRC}/php
+USE_PYTHON=	2.7+
+BUILD_WRKSRC=	${WRKSRC}/py
+INSTALL_WRKSRC=	${WRKSRC}/py
+
+LIB_VRS=	${PORTVERSION:S|.||g:C|0$||}
+PLIST_SUB=	LIB_VERSION="${PORTVERSION}" LIB_VRS="${LIB_VRS}"
+MAKE_ENV=	ICE_HOME="${LOCALBASE}/share/Ice"
+
+# bypass infrastructure bug (taken from www/py-django)
+OPTIONSFILE=	${PORT_DBDIR}/py-${PORTNAME}/options
+OPTIONS_DEFINE=	DEBUG DOCS TESTS
+OPTIONS_DEFAULT=TESTS
+TESTS_DESC=	Run tests
 
-LIB_VRS=	${PORTVERSION:S|.||g:C|2$||}
-PHP_MODNAME?=	IcePHP
+.include <bsd.port.options.mk>
 
 CFLAGS+=	-ftemplate-depth-128 -fPIC -DPIC -Wall -D_REENTRANT
-.if defined(DEBUG)
-CFLAGS+=	-g
-.else
+.if empty(PORT_OPTIONS:MDEBUG)
 CFLAGS+=	-DNDEBUG
 .endif
 
-.include <bsd.port.pre.mk>
 .if ${ARCH} == "ia64"
 BROKEN=		does not compile on ia64
 .endif
@@ -45,45 +45,53 @@
 MAKE_ENV=	LP64=yes
 .endif
 
-.if defined(NOPORTDOCS)
+.if empty(PORT_OPTIONS:MDOCS)
 MAKE_ENV+=	NOPORTDOCS=yes
 .endif
 
+.include <bsd.port.pre.mk>
+
+.if ${PYTHON_REL} >= 320
+PLIST_SUB+=	PYTHON32=""
+PLIST_SUB+=	PYTHONPRE32="@comment "
+.else
+PLIST_SUB+=	PYTHON32="@comment "
+PLIST_SUB+=	PYTHONPRE32=""
+.endif
+
+PLIST_SUB+=	PYTHON_SUFFIX=${PYTHON_SUFFIX}
+
 post-patch:
-	${REINPLACE_CMD} 's|%%INSTALL_PROGRAM%%|${INSTALL_PROGRAM}|g; \
+	@${SED} 's|%%PREFIX%%|${PREFIX}|g; \
+		s|%%DATADIR%%|${DATADIR}|g; \
+		s|%%DOCSDIR%%|${DOCSDIR}|g; \
+		s|%%INSTALL_PROGRAM%%|${INSTALL_PROGRAM}|g; \
+		s|%%INSTALL_DATA%%|${INSTALL_DATA}|g' \
+		${FILESDIR}/Make.rules.FreeBSD > ${WRKSRC}/cpp/config/Make.rules.FreeBSD
+	@${REINPLACE_CMD} 's|%%INSTALL_PROGRAM%%|${INSTALL_PROGRAM}|g; \
 		s|%%INSTALL_DATA%%|${INSTALL_DATA}|g; \
+		s|%%PYTHON_SITELIBDIR%%|${PYTHON_SITELIBDIR}|g; \
 		s|%%PREFIX%%|${PREFIX}|g ; \
-		s|%%LOCALBASE%%|${LOCALBASE}|g' ${WRKSRC}/php/config/Make.rules.php
+		s|%%LOCALBASE%%|${LOCALBASE}|g' ${WRKSRC}/py/config/Make.rules
+	@${REINPLACE_CMD} 's|.(ice_dir).slice|${DATADIR}|g; \
+		s|.(prefix).slice|${DATADIR}|g; \
+		s|.(prefix).[ICE_]*LICENSE|${DATADIR}/LICENSE|g;' \
+		${WRKSRC}/config/Make.common.rules
+
 post-install:
-	@${MKDIR} ${PREFIX}/etc/php
-	@${ECHO_CMD} extension=${PHP_MODNAME}.so \
-		>> ${PREFIX}/etc/php/extensions.ini
-	@${CAT} ${PKGMESSAGE}
-
-add-plist-info:
-	@${ECHO_CMD} "@exec mkdir -p %D/etc/php" \
-		>> ${TMPPLIST}
-	@${ECHO_CMD} "@exec echo extension=${PHP_MODNAME}.so >> %D/etc/php/extensions.ini" \
-		>> ${TMPPLIST}
-	@${ECHO_CMD} "@unexec cp %D/etc/php/extensions.ini %D/etc/php/extensions.ini.orig" \
-		>> ${TMPPLIST}
-	@${ECHO_CMD} "@unexec grep -v extension=${PHP_MODNAME}\\\.so %D/etc/php/extensions.ini.orig > %D/etc/php/extensions.ini || true" \
-		>> ${TMPPLIST}
-	@${ECHO_CMD} "@unexec rm %D/etc/php/extensions.ini.orig" \
-		>> ${TMPPLIST}
-	@${ECHO_CMD} "@unexec [ -s %D/etc/php/extensions.ini ] || rm %D/etc/php/extensions.ini" \
-		>> ${TMPPLIST}
-	@${ECHO_CMD} "@unexec rmdir %D/etc/php 2> /dev/null || true" \
-		>> ${TMPPLIST}
-
-security-check:
-	@${ECHO_CMD} "****************************************************************************"
-	@${ECHO_CMD} ""
-	@${ECHO_CMD} "The following line has been added to your ${PREFIX}/etc/php/extensions.ini"
-	@${ECHO_CMD} "configuration file to automatically load the installed extension:"
-	@${ECHO_CMD} ""
-	@${ECHO_CMD} "extension=${PHP_MODNAME}.so"
-	@${ECHO_CMD} ""
-	@${ECHO_CMD} "****************************************************************************"
+	${ECHO} "Ice" > ${PYTHON_SITELIBDIR}/Ice.pth
+	@${PYTHON_CMD} ${PYTHON_LIBDIR}/compileall.py ${PYTHON_SITELIBDIR}/Ice
+	@${PYTHON_CMD} -O ${PYTHON_LIBDIR}/compileall.py ${PYTHON_SITELIBDIR}/Ice
+
+.if ${PORT_OPTIONS:MTESTS}
+TEST_CMD=	@cd ${BUILD_WRKSRC} && ${PYTHON_CMD} ./allTests.py
+.endif
+
+.if ${PORT_OPTIONS:MTESTS}
+post-build:
+	${TEST_CMD}
+regression-test test: build
+	${TEST_CMD}
+.endif
 
 .include <bsd.port.post.mk>
diff -ruN ../php5-ice.orig/distinfo ./distinfo
--- ../php5-ice.orig/distinfo	2011-06-28 15:44:49.000000000 +0200
+++ ./distinfo	2013-06-13 11:22:20.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (Ice-3.4.2.tar.gz) = dcf0484495b6df0849ec90a00e8204fe5fe1c0d3882bb438bf2c1d062f15c979
-SIZE (Ice-3.4.2.tar.gz) = 5485106
+SHA256 (Ice-3.5.0.tar.gz) = bbde6b5a87f5abc8d9105468731f1419829bc22b5d23b8fdef553967a2eebdb0
+SIZE (Ice-3.5.0.tar.gz) = 4790555
diff -ruN ../php5-ice.orig/files/Make.rules.FreeBSD ./files/Make.rules.FreeBSD
--- ../php5-ice.orig/files/Make.rules.FreeBSD	1970-01-01 01:00:00.000000000 +0100
+++ ./files/Make.rules.FreeBSD	2013-02-14 11:22:20.000000000 +0100
@@ -0,0 +1,21 @@
+mkshlib                 = $(CXX) -shared $(LDFLAGS) -o $(1) -Wl,-h,$(2) $(3) $(4)
+
+BASELIBS		= -lIceUtil -pthread -L$(LOCALBASE)/lib -liconv
+LIBS			= -lIce $(BASELIBS) 
+
+ICEUTIL_OS_LIBS         = -pthread
+
+PLATFORM_HAS_READLINE   := yes
+
+export LD_LIBRARY_PATH	:= $(libdir):$(LD_LIBRARY_PATH)
+
+lp64suffix		=
+create_runpath_symlink	= no
+prefix			= %%PREFIX%%
+install_slicedir	= %%DATADIR%%
+install_configdir	= %%DATADIR%%/config
+install_docdir		= %%DOCSDIR%%
+EXPAT_HOME		= $(LOCALBASE)
+INSTALL			= %%INSTALL_DATA%%
+INSTALL_PROGRAM		= %%INSTALL_PROGRAM%%
+MCPP_HOME		= $(LOCALBASE)
diff -ruN ../php5-ice.orig/files/patch-config-Make.common.rules ./files/patch-config-Make.common.rules
--- ../php5-ice.orig/files/patch-config-Make.common.rules	1970-01-01 01:00:00.000000000 +0100
+++ ./files/patch-config-Make.common.rules	2012-10-27 21:57:57.000000000 +0200
@@ -0,0 +1,11 @@
+--- config/Make.common.rules.orig	2010-07-11 13:40:06.000000000 +1000
++++ config/Make.common.rules	2010-07-11 13:40:43.000000000 +1000
+@@ -19,7 +19,7 @@
+ SHORT_VERSION           = 3.4
+ SOVERSION		= 34
+ 
+-INSTALL			= cp -fp
++INSTALL			= install
+ INSTALL_PROGRAM		= ${INSTALL}
+ INSTALL_LIBRARY		= ${INSTALL}
+ INSTALL_DATA		= ${INSTALL}
diff -ruN ../php5-ice.orig/files/patch-cpp+config+Make.rules.FreeBSD ./files/patch-cpp+config+Make.rules.FreeBSD
--- ../php5-ice.orig/files/patch-cpp+config+Make.rules.FreeBSD	2013-02-14 11:22:19.000000000 +0100
+++ ./files/patch-cpp+config+Make.rules.FreeBSD	1970-01-01 01:00:00.000000000 +0100
@@ -1,31 +0,0 @@
---- cpp/config/Make.rules.FreeBSD.orig	2008-08-02 08:12:53.000000000 +0800
-+++ cpp/config/Make.rules.FreeBSD	2008-08-02 08:14:46.000000000 +0800
-@@ -27,7 +27,7 @@
- endif
- 
- ifeq ($(OPTIMIZE),yes)
--    CXXFLAGS		+= -O3 -DNDEBUG
-+    CXXFLAGS		+= -O2 -DNDEBUG
- else
-     CXXFLAGS		+= -g
- endif
-@@ -37,15 +37,15 @@
- #
- CXXLIBS			=
- 
--mkshlib			= $(CXX) -shared $(LDFLAGS) -o $(1) -Wl,-h,$(2) $(3) $(4) -lc_r
-+mkshlib			= $(CXX) -shared $(LDFLAGS) -o $(1) -Wl,-h,$(2) $(3) $(4)
- 
- mklib			= ar cr $(1) $(2)
- 
--BASELIBS		= -lIceUtil -lc_r
-+BASELIBS		= -lIceUtil -pthread -L$(LOCALBASE)/lib -liconv
- LIBS			= -lIce $(BASELIBS)
- 
--ICEUTIL_OS_LIBS		= 
--ICE_OS_LIBS		= 
-+ICEUTIL_OS_LIBS		= -pthread
-+ICE_OS_LIBS		=
- 
- PLATFORM_HAS_READLINE	= yes
- 
diff -ruN ../php5-ice.orig/files/patch-cpp-include-IceUtil-Config.h ./files/patch-cpp-include-IceUtil-Config.h
--- ../php5-ice.orig/files/patch-cpp-include-IceUtil-Config.h	1970-01-01 01:00:00.000000000 +0100
+++ ./files/patch-cpp-include-IceUtil-Config.h	2013-06-02 12:37:02.000000000 +0200
@@ -0,0 +1,11 @@
+--- cpp/include/IceUtil/Config.h.orig	2013-03-11 15:19:46.000000000 +0000
++++ cpp/include/IceUtil/Config.h	2013-05-20 02:09:58.239194578 +0000
+@@ -51,7 +51,7 @@
+ // Check for C++ 11 support
+ //
+ #if (defined(__GNUC__) && (__GNUC__ > 4 || (__GNUC__ == 4 && __GNUC_MINOR__ >= 5)) && defined(__GXX_EXPERIMENTAL_CXX0X__)) || \
+-    (defined(__clang__) && (__clang_major__ >= 4) && __cplusplus >= 201103) || \
++    (defined(__clang__) && ((defined(__APPLE__) && __clang_major__ >= 4) || (!defined(__APPLE__) && __clang_major__ >= 3)) && __cplusplus >= 201103) || \
+     (defined(_MSC_VER) && (_MSC_VER >= 1600))
+ #   define ICE_CPP11
+ #endif
diff -ruN ../php5-ice.orig/files/patch-php+config+Make.rules.php ./files/patch-php+config+Make.rules.php
--- ../php5-ice.orig/files/patch-php+config+Make.rules.php	2010-08-15 14:22:09.000000000 +0200
+++ ./files/patch-php+config+Make.rules.php	1970-01-01 01:00:00.000000000 +0100
@@ -1,42 +0,0 @@
---- php/config/Make.rules.php.orig	2010-06-03 18:48:34.000000000 +0200
-+++ php/config/Make.rules.php	2010-07-30 14:43:46.000000000 +0200
-@@ -12,7 +12,9 @@
- # if it does not exist.
- #
- 
--prefix			?= /opt/Ice-$(VERSION)
-+ICE_HOME		= /usr/local
-+
-+prefix			?= /usr/local/lib/php/$(PHP_EXT_DIR)
- 
- #
- # The "root directory" for runpath embedded in executables. Can be unset
-@@ -25,7 +27,7 @@
- # Otherwise the Ice extension is built with debug information.
- #
- 
--#OPTIMIZE		= yes
-+OPTIMIZE		= yes
- 
- #
- # Define LP64 as yes if you want to build in 64 bit mode on a platform
-@@ -54,7 +56,7 @@
- # PHP_INCLUDE_DIR and PHP_LIB_DIR.
- #
- 
--PHP_HOME		?= /opt/php
-+PHP_HOME		?= /usr/local
- 
- #
- # Verifies the PHP_HOME is valid and attempts to adjust for platform variances
-@@ -100,8 +102,8 @@
- endif
- 
- libdir			= $(top_srcdir)/lib
--install_phpdir		= $(prefix)/php
--install_libdir		= $(prefix)/php
-+install_phpdir		= $(prefix)
-+install_libdir		= $(prefix)
- 
- #
- # Platform specific definitions
diff -ruN ../php5-ice.orig/files/patch-py-config-Make.rules ./files/patch-py-config-Make.rules
--- ../php5-ice.orig/files/patch-py-config-Make.rules	1970-01-01 01:00:00.000000000 +0100
+++ ./files/patch-py-config-Make.rules	2013-05-20 16:22:08.000000000 +0200
@@ -0,0 +1,32 @@
+--- py/config/Make.rules.orig	2013-03-11 15:19:47.000000000 +0000
++++ py/config/Make.rules	2013-05-20 14:21:13.335195726 +0000
+@@ -12,7 +12,8 @@
+ # if it does not exist.
+ #
+ 
+-prefix			?= /opt/Ice-$(VERSION)
++ICE_HOME		= %%LOCALBASE%%
++prefix			?= %%PREFIX%%
+ 
+ #
+ # The "root directory" for runpath embedded in executables. Can be unset
+@@ -95,8 +96,8 @@
+ endif 
+ 
+ libdir                  = $(top_srcdir)/python
+-install_pythondir       = $(prefix)/python
+-install_libdir          = $(prefix)/python
++install_pythondir       = %%PYTHON_SITELIBDIR%%/Ice
++install_libdir          = %%PYTHON_SITELIBDIR%%/Ice
+ 
+ ifeq ($(UNAME),SunOS)
+    ifeq ($(LP64),yes)
+@@ -118,7 +119,7 @@
+     ICE_LIB_DIR = -L$(ice_dir)/$(libsubdir)
+     ICE_FLAGS	= -I$(ice_dir)/include
+ endif
+-ICE_LIBS = $(ICE_LIB_DIR) -lIce -lSlice -lIceUtil
++ICE_LIBS = $(ICE_LIB_DIR) -lIce -lSlice -lIceUtil -liconv
+ 
+ ifneq ($(embedded_runpath_prefix),)
+    runpath_libdir	:= $(embedded_runpath_prefix)/$(libsubdir)
diff -ruN ../php5-ice.orig/files/patch-py-python-Makefile ./files/patch-py-python-Makefile
--- ../php5-ice.orig/files/patch-py-python-Makefile	1970-01-01 01:00:00.000000000 +0100
+++ ./files/patch-py-python-Makefile	2013-06-02 16:54:52.000000000 +0200
@@ -0,0 +1,16 @@
+--- py/python/Makefile.orig	2010-07-11 13:05:38.000000000 +1000
++++ py/python/Makefile	2012-09-11 00:09:09.000000000 +2000
+@@ -118,10 +118,11 @@
+ 
+ install:: $(ALL_SRCS)
+ 	@echo "Installing generated code"
+-	$(INSTALL_DATA) *.py $(install_pythondir)
++	$(INSTALL_DATA) *.py* $(install_pythondir)
+ 	@for i in $(PACKAGES) ; \
+ 	do \
+-	    $(INSTALL_DATA) -r $$i $(install_pythondir) ; \
++	    mkdir -p $(install_pythondir)/$$i ; \
++	    $(INSTALL_DATA) $$i/*.py* $(install_pythondir)/$$i ; \
+ 	done
+ 
+ depend::  $(ICE_SLICE) $(GLACIER2_SLICE) $(ICEBOX_SLICE) $(ICEGRID_SLICE) $(ICEPATCH2_SLICE) $(ICESTORM_SLICE)
diff -ruN ../php5-ice.orig/files/patch-py-test-Ice-info-AllTests.py ./files/patch-py-test-Ice-info-AllTests.py
--- ../php5-ice.orig/files/patch-py-test-Ice-info-AllTests.py	1970-01-01 01:00:00.000000000 +0100
+++ ./files/patch-py-test-Ice-info-AllTests.py	2013-05-20 16:26:51.000000000 +0200
@@ -0,0 +1,79 @@
+--- py/test/Ice/info/AllTests.py.orig	2013-03-11 15:19:47.000000000 +0000
++++ py/test/Ice/info/AllTests.py	2013-05-20 14:25:56.860196743 +0000
+@@ -7,12 +7,31 @@
+ #
+ # **********************************************************************
+ 
+-import Ice, Test, sys, threading
++import Ice, Test, sys, threading, subprocess
+ 
+ def test(b):
+     if not b:
+         raise RuntimeError('test assertion failed')
+ 
++def isFreeBSD():
++    return sys.platform.startswith("freebsd")
++
++def sysctl(key):
++    p = subprocess.Popen("sysctl "+key, shell=1, stdout=subprocess.PIPE)
++    try:
++        result = p.communicate()[0].strip().split()[1]
++    except IndexError:
++        return 0    
++    if sys.version_info >= (3,):
++        result = str(result, sys.stdout.encoding)
++    try:
++        return int(result)
++    except ValueError:
++        return result
++
++def isFreeBSDJail():
++    return isFreeBSD() and sysctl("security.jail.jailed")
++
+ def allTests(communicator, collocated):
+     sys.stdout.write("testing proxy endpoint information... ")
+     sys.stdout.flush()
+@@ -67,12 +86,12 @@
+ 
+     ipEndpoint = endpoints[0].getInfo()
+     test(ipEndpoint.type() == Ice.TCPEndpointType or ipEndpoint.type() == 2)
+-    test(ipEndpoint.host == defaultHost)
++    test(ipEndpoint.host == defaultHost or isFreeBSDJail())
+     test(ipEndpoint.port > 0)
+     test(ipEndpoint.timeout == 15000)
+ 
+     udpEndpoint = endpoints[1].getInfo()
+-    test(udpEndpoint.host == defaultHost)
++    test(udpEndpoint.host == defaultHost or isFreeBSDJail())
+     test(udpEndpoint.datagram())
+     test(udpEndpoint.port > 0)
+ 
+@@ -108,7 +127,7 @@
+     ipinfo = base.ice_getConnection().getEndpoint().getInfo()
+     test(ipinfo.port == 12010)
+     test(not ipinfo.compress)
+-    test(ipinfo.host == defaultHost)
++    test(ipinfo.host == defaultHost or isFreeBSDJail())
+ 
+     ctx = testIntf.getEndpointInfoAsContext()
+     test(ctx["host"] == ipinfo.host)
+@@ -118,7 +137,7 @@
+ 
+     udp = base.ice_datagram().ice_getConnection().getEndpoint().getInfo()
+     test(udp.port == 12010)
+-    test(udp.host == defaultHost)
++    test(udp.host == defaultHost or isFreeBSDJail())
+ 
+     print("ok")
+ 
+@@ -129,8 +148,8 @@
+     test(not info.incoming)
+     test(len(info.adapterName) == 0)
+     test(info.remotePort == 12010)
+-    test(info.remoteAddress == defaultHost)
+-    test(info.localAddress == defaultHost)
++    test(info.remoteAddress == defaultHost or isFreeBSDJail())
++    test(info.localAddress == defaultHost or isFreeBSDJail())
+ 
+     ctx = testIntf.getConnectionInfoAsContext()
+     test(ctx["incoming"] == "true")
diff -ruN ../php5-ice.orig/files/patch-py-test-Ice-properties-run.py ./files/patch-py-test-Ice-properties-run.py
--- ../php5-ice.orig/files/patch-py-test-Ice-properties-run.py	1970-01-01 01:00:00.000000000 +0100
+++ ./files/patch-py-test-Ice-properties-run.py	2013-05-21 04:33:19.000000000 +0200
@@ -0,0 +1,29 @@
+--- py/test/Ice/properties/run.py.orig	2013-05-21 02:29:52.861195367 +0000
++++ py/test/Ice/properties/run.py	2013-05-21 02:30:44.972196471 +0000
+@@ -26,15 +26,15 @@
+ #
+ if sys.version_info[0] == 2:
+     configPath = "./config/\xe4\xb8\xad\xe5\x9b\xbd_client.config".decode("utf-8")
+-    TestUtil.createConfig(configPath, 
++    TestUtil.createConfig(configPath.encode("utf-8"), 
+                           ["# Automatically generated by Ice test driver.", 
+                            "Ice.Trace.Protocol=1",
+                            "Ice.Trace.Network=1", 
+                            "Ice.ProgramName=PropertiesClient", 
+-                           "Config.Path=./config/中国_client.config"])
++                           "Config.Path=" + configPath.encode("utf-8")])
+ else:
+     configPath = "./config/\u4e2d\u56fd_client.config"
+-    TestUtil.createConfig(configPath, 
++    TestUtil.createConfig(configPath.encode("utf-8"), 
+                           ["# Automatically generated by Ice test driver.", 
+                            "Ice.Trace.Protocol=1",
+                            "Ice.Trace.Network=1", 
+@@ -44,5 +44,5 @@
+ 
+ TestUtil.simpleTest()
+ 
+-if os.path.exists(configPath):
+-    os.remove(configPath)
++if os.path.exists(configPath.encode("utf-8")):
++    os.remove(configPath.encode("utf-8"))
diff -ruN ../php5-ice.orig/pkg-descr ./pkg-descr
--- ../php5-ice.orig/pkg-descr	2010-08-23 01:36:46.000000000 +0200
+++ ./pkg-descr	2012-10-27 21:57:57.000000000 +0200
@@ -1,8 +1,8 @@
-An Ice language mapping for PHP is a recent and welcome addition
+Python and Ice have much in common: they both are suited for a wide variety
+of tasks, excel at application integration, and are easy for developers
+to use. An Ice language mapping for Python is a recent and welcome addition
 to the Ice product portfolio, enabling developers to take advantage
-of the productivity offered by PHP's friendly syntax and extensive
+of the productivity offered by Python's friendly syntax and extensive
 function library.
 
-This Ice distribution is released under the GNU General Public License (GPL).
-
 WWW: http://www.zeroc.com/
diff -ruN ../php5-ice.orig/pkg-message ./pkg-message
--- ../php5-ice.orig/pkg-message	2009-05-23 17:22:28.000000000 +0200
+++ ./pkg-message	1970-01-01 01:00:00.000000000 +0100
@@ -1,20 +0,0 @@
-
-----------------------------------------------------------------------------
-                      Attention for FreeBSD-i386 user 
-----------------------------------------------------------------------------
-
-If the php fails with:
-
-	terminate called after throwing an instance of 'IceUtil::ThreadSyscallException'
-	  what():  RecMutex.cpp:96: IceUtil::ThreadSyscallException:
-	...
-
-Try to start it with:
-
-	$ LD_PRELOAD=/usr/lib/libc_r.so php
-
-or for FreeBSD version 7 and above:
-
-	$ LD_PRELOAD=/usr/lib/libpthread.so php
-
-----------------------------------------------------------------------------
diff -ruN ../php5-ice.orig/pkg-plist ./pkg-plist
--- ../php5-ice.orig/pkg-plist	2010-08-15 14:22:09.000000000 +0200
+++ ./pkg-plist	2013-06-02 23:10:36.000000000 +0200
@@ -1,145 +1,356 @@
-lib/php/%%PHP_EXT_DIR%%/ICE_LICENSE
-lib/php/%%PHP_EXT_DIR%%/Ice.php
-lib/php/%%PHP_EXT_DIR%%/IcePHP.so
-lib/php/%%PHP_EXT_DIR%%/LICENSE
-lib/php/%%PHP_EXT_DIR%%/Glacier2.php
-lib/php/%%PHP_EXT_DIR%%/Glacier2/PermissionsVerifier.php
-lib/php/%%PHP_EXT_DIR%%/Glacier2/PermissionsVerifierF.php
-lib/php/%%PHP_EXT_DIR%%/Glacier2/Router.php
-lib/php/%%PHP_EXT_DIR%%/Glacier2/RouterF.php
-lib/php/%%PHP_EXT_DIR%%/Glacier2/SSLInfo.php
-lib/php/%%PHP_EXT_DIR%%/Glacier2/Session.php
-lib/php/%%PHP_EXT_DIR%%/Ice/BuiltinSequences.php
-lib/php/%%PHP_EXT_DIR%%/Ice/Communicator.php
-lib/php/%%PHP_EXT_DIR%%/Ice/CommunicatorF.php
-lib/php/%%PHP_EXT_DIR%%/Ice/Connection.php
-lib/php/%%PHP_EXT_DIR%%/Ice/ConnectionF.php
-lib/php/%%PHP_EXT_DIR%%/Ice/Current.php
-lib/php/%%PHP_EXT_DIR%%/Ice/Endpoint.php
-lib/php/%%PHP_EXT_DIR%%/Ice/EndpointF.php
-lib/php/%%PHP_EXT_DIR%%/Ice/EndpointTypes.php
-lib/php/%%PHP_EXT_DIR%%/Ice/FacetMap.php
-lib/php/%%PHP_EXT_DIR%%/Ice/Identity.php
-lib/php/%%PHP_EXT_DIR%%/Ice/ImplicitContext.php
-lib/php/%%PHP_EXT_DIR%%/Ice/ImplicitContextF.php
-lib/php/%%PHP_EXT_DIR%%/Ice/LocalException.php
-lib/php/%%PHP_EXT_DIR%%/Ice/Locator.php
-lib/php/%%PHP_EXT_DIR%%/Ice/LocatorF.php
-lib/php/%%PHP_EXT_DIR%%/Ice/Logger.php
-lib/php/%%PHP_EXT_DIR%%/Ice/LoggerF.php
-lib/php/%%PHP_EXT_DIR%%/Ice/ObjectAdapterF.php
-lib/php/%%PHP_EXT_DIR%%/Ice/ObjectFactory.php
-lib/php/%%PHP_EXT_DIR%%/Ice/ObjectFactoryF.php
-lib/php/%%PHP_EXT_DIR%%/Ice/Plugin.php
-lib/php/%%PHP_EXT_DIR%%/Ice/PluginF.php
-lib/php/%%PHP_EXT_DIR%%/Ice/Process.php
-lib/php/%%PHP_EXT_DIR%%/Ice/ProcessF.php
-lib/php/%%PHP_EXT_DIR%%/Ice/Properties.php
-lib/php/%%PHP_EXT_DIR%%/Ice/PropertiesF.php
-lib/php/%%PHP_EXT_DIR%%/Ice/Router.php
-lib/php/%%PHP_EXT_DIR%%/Ice/RouterF.php
-lib/php/%%PHP_EXT_DIR%%/Ice/SliceChecksumDict.php
-lib/php/%%PHP_EXT_DIR%%/Ice/Stats.php
-lib/php/%%PHP_EXT_DIR%%/Ice/StatsF.php
-lib/php/%%PHP_EXT_DIR%%/IceBox.php
-lib/php/%%PHP_EXT_DIR%%/IceBox/IceBox.php
-lib/php/%%PHP_EXT_DIR%%/IceGrid.php
-lib/php/%%PHP_EXT_DIR%%/IceGrid/Admin.php
-lib/php/%%PHP_EXT_DIR%%/IceGrid/Descriptor.php
-lib/php/%%PHP_EXT_DIR%%/IceGrid/Exception.php
-lib/php/%%PHP_EXT_DIR%%/IceGrid/FileParser.php
-lib/php/%%PHP_EXT_DIR%%/IceGrid/Locator.php
-lib/php/%%PHP_EXT_DIR%%/IceGrid/Observer.php
-lib/php/%%PHP_EXT_DIR%%/IceGrid/Query.php
-lib/php/%%PHP_EXT_DIR%%/IceGrid/Registry.php
-lib/php/%%PHP_EXT_DIR%%/IceGrid/Session.php
-lib/php/%%PHP_EXT_DIR%%/IceGrid/UserAccountMapper.php
-lib/php/%%PHP_EXT_DIR%%/IcePatch2.php
-lib/php/%%PHP_EXT_DIR%%/IcePatch2/FileInfo.php
-lib/php/%%PHP_EXT_DIR%%/IcePatch2/FileServer.php
-lib/php/%%PHP_EXT_DIR%%/IceStorm.php
-lib/php/%%PHP_EXT_DIR%%/IceStorm/IceStorm.php
-lib/php/%%PHP_EXT_DIR%%/slice/Freeze/BackgroundSaveEvictor.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Freeze/CatalogData.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Freeze/Connection.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Freeze/ConnectionF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Freeze/DB.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Freeze/Evictor.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Freeze/EvictorF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Freeze/EvictorStorage.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Freeze/Exception.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Freeze/Transaction.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Freeze/TransactionalEvictor.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Glacier2/PermissionsVerifier.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Glacier2/PermissionsVerifierF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Glacier2/Router.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Glacier2/RouterF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Glacier2/SSLInfo.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Glacier2/Session.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/BuiltinSequences.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/Communicator.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/CommunicatorF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/Connection.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/ConnectionF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/Current.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/Endpoint.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/EndpointF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/EndpointTypes.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/FacetMap.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/Identity.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/ImplicitContext.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/ImplicitContextF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/LocalException.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/Locator.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/LocatorF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/Logger.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/LoggerF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/ObjectAdapter.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/ObjectAdapterF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/ObjectFactory.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/ObjectFactoryF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/Plugin.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/PluginF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/Process.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/ProcessF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/Properties.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/PropertiesF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/Router.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/RouterF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/ServantLocator.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/ServantLocatorF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/SliceChecksumDict.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/Stats.ice
-lib/php/%%PHP_EXT_DIR%%/slice/Ice/StatsF.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceBox/IceBox.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceGrid/Admin.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceGrid/Descriptor.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceGrid/Exception.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceGrid/FileParser.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceGrid/Locator.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceGrid/Observer.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceGrid/Query.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceGrid/Registry.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceGrid/Session.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceGrid/UserAccountMapper.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IcePatch2/FileInfo.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IcePatch2/FileServer.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceSSL/ConnectionInfo.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceSSL/EndpointInfo.ice
-lib/php/%%PHP_EXT_DIR%%/slice/IceStorm/IceStorm.ice
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/Glacier2
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/Ice
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/IceBox
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/IceGrid
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/IcePatch2
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/IceStorm
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/slice/Freeze
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/slice/Glacier2
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/slice/Ice
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/slice/IceBox
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/slice/IceGrid
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/slice/IcePatch2
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/slice/IceSSL
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/slice/IceStorm
-@dirrmtry lib/php/%%PHP_EXT_DIR%%/slice
-@dirrmtry lib/php/%%PHP_EXT_DIR%%
+%%PYTHON_SITELIBDIR%%/Ice.pth
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/IceBox/__pycache__/__init__.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/IceBox/__pycache__/__init__.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid/__pycache__/__init__.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid/__pycache__/__init__.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/IceMX/__pycache__/__init__.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/IceMX/__pycache__/__init__.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/IcePatch2/__pycache__/__init__.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/IcePatch2/__pycache__/__init__.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/IceStorm/__pycache__/__init__.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/IceStorm/__pycache__/__init__.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_Metrics_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_Metrics_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_PermissionsVerifierF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_PermissionsVerifierF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_PermissionsVerifier_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_PermissionsVerifier_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_RouterF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_RouterF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_Router_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_Router_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_SSLInfo_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_SSLInfo_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_Session_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Glacier2_Session_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceBox_IceBox_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceBox_IceBox_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Admin_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Admin_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Descriptor_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Descriptor_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Exception_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Exception_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_FileParser_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_FileParser_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Locator_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Locator_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Observer_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Observer_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Query_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Query_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Registry_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Registry_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Session_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_Session_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_UserAccountMapper_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceGrid_UserAccountMapper_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IcePatch2_FileInfo_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IcePatch2_FileInfo_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IcePatch2_FileServer_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IcePatch2_FileServer_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceStorm_IceStorm_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceStorm_IceStorm_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceStorm_Metrics_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/IceStorm_Metrics_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_BuiltinSequences_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_BuiltinSequences_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_CommunicatorF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_CommunicatorF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Communicator_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Communicator_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ConnectionF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ConnectionF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Connection_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Connection_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Current_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Current_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_EndpointF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_EndpointF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_EndpointTypes_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_EndpointTypes_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Endpoint_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Endpoint_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_FacetMap_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_FacetMap_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Identity_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Identity_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ImplicitContextF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ImplicitContextF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ImplicitContext_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ImplicitContext_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_InstrumentationF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_InstrumentationF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Instrumentation_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Instrumentation_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_LocalException_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_LocalException_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_LocatorF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_LocatorF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Locator_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Locator_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_LoggerF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_LoggerF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Logger_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Logger_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Metrics_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Metrics_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ObjectAdapterF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ObjectAdapterF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ObjectAdapter_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ObjectAdapter_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ObjectFactoryF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ObjectFactoryF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ObjectFactory_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ObjectFactory_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_PluginF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_PluginF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Plugin_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Plugin_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ProcessF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ProcessF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Process_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Process_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_PropertiesF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_PropertiesF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Properties_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Properties_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_RouterF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_RouterF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Router_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Router_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ServantLocatorF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ServantLocatorF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ServantLocator_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_ServantLocator_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_SliceChecksumDict_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_SliceChecksumDict_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_StatsF_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_StatsF_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Stats_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Stats_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Version_ice.cpython-%%PYTHON_SUFFIX%%.pyc
+%%PYTHON32%%%%PYTHON_SITELIBDIR%%/Ice/__pycache__/Ice_Version_ice.cpython-%%PYTHON_SUFFIX%%.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_Metrics_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_Metrics_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_PermissionsVerifierF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_PermissionsVerifierF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_PermissionsVerifier_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_PermissionsVerifier_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_RouterF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_RouterF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_Router_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_Router_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_SSLInfo_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_SSLInfo_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_Session_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Glacier2_Session_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceBox/__init__.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceBox/__init__.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceBox_IceBox_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceBox_IceBox_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid/__init__.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid/__init__.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Admin_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Admin_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Descriptor_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Descriptor_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Exception_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Exception_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_FileParser_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_FileParser_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Locator_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Locator_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Observer_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Observer_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Query_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Query_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Registry_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Registry_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Session_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Session_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_UserAccountMapper_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceGrid_UserAccountMapper_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceMX/__init__.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceMX/__init__.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IcePatch2/__init__.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IcePatch2/__init__.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IcePatch2_FileInfo_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IcePatch2_FileInfo_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IcePatch2_FileServer_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IcePatch2_FileServer_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceStorm/__init__.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceStorm/__init__.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceStorm_IceStorm_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceStorm_IceStorm_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceStorm_Metrics_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/IceStorm_Metrics_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_BuiltinSequences_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_BuiltinSequences_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_CommunicatorF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_CommunicatorF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Communicator_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Communicator_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ConnectionF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ConnectionF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Connection_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Connection_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Current_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Current_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_EndpointF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_EndpointF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_EndpointTypes_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_EndpointTypes_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Endpoint_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Endpoint_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_FacetMap_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_FacetMap_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Identity_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Identity_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ImplicitContextF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ImplicitContextF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ImplicitContext_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ImplicitContext_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_InstrumentationF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_InstrumentationF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Instrumentation_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Instrumentation_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_LocalException_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_LocalException_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_LocatorF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_LocatorF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Locator_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Locator_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_LoggerF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_LoggerF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Logger_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Logger_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Metrics_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Metrics_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ObjectAdapterF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ObjectAdapterF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ObjectAdapter_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ObjectAdapter_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ObjectFactoryF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ObjectFactoryF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ObjectFactory_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ObjectFactory_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_PluginF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_PluginF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Plugin_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Plugin_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ProcessF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ProcessF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Process_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Process_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_PropertiesF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_PropertiesF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Properties_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Properties_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_RouterF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_RouterF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Router_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Router_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ServantLocatorF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ServantLocatorF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ServantLocator_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_ServantLocator_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_SliceChecksumDict_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_SliceChecksumDict_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_StatsF_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_StatsF_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Stats_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Stats_ice.pyo
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Version_ice.pyc
+%%PYTHONPRE32%%%%PYTHON_SITELIBDIR%%/Ice/Ice_Version_ice.pyo
+%%PYTHON_SITELIBDIR%%/Ice/Glacier2.py
+%%PYTHON_SITELIBDIR%%/Ice/Glacier2_Metrics_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Glacier2_PermissionsVerifierF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Glacier2_PermissionsVerifier_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Glacier2_RouterF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Glacier2_Router_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Glacier2_SSLInfo_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Glacier2_Session_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceBox/__init__.py
+%%PYTHON_SITELIBDIR%%/Ice/IceBox_IceBox_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceGrid/__init__.py
+%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Admin_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Descriptor_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Exception_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceGrid_FileParser_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Locator_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Observer_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Query_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Registry_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceGrid_Session_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceGrid_UserAccountMapper_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceMX/__init__.py
+%%PYTHON_SITELIBDIR%%/Ice/IcePatch2/__init__.py
+%%PYTHON_SITELIBDIR%%/Ice/IcePatch2_FileInfo_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IcePatch2_FileServer_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IcePy.so
+%%PYTHON_SITELIBDIR%%/Ice/IcePy.so.%%LIB_VERSION%%
+%%PYTHON_SITELIBDIR%%/Ice/IcePy.so.%%LIB_VRS%%
+%%PYTHON_SITELIBDIR%%/Ice/IceStorm/__init__.py
+%%PYTHON_SITELIBDIR%%/Ice/IceStorm_IceStorm_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/IceStorm_Metrics_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_BuiltinSequences_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_CommunicatorF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Communicator_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_ConnectionF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Connection_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Current_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_EndpointF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_EndpointTypes_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Endpoint_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_FacetMap_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Identity_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_ImplicitContextF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_ImplicitContext_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_InstrumentationF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Instrumentation_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_LocalException_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_LocatorF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Locator_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_LoggerF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Logger_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Metrics_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_ObjectAdapterF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_ObjectAdapter_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_ObjectFactoryF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_ObjectFactory_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_PluginF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Plugin_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_ProcessF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Process_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_PropertiesF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Properties_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_RouterF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Router_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_ServantLocatorF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_ServantLocator_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_SliceChecksumDict_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_StatsF_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Stats_ice.py
+%%PYTHON_SITELIBDIR%%/Ice/Ice_Version_ice.py
+%%PYTHON32%%@dirrmtry %%PYTHON_SITELIBDIR%%/Ice/IceBox/__pycache__
+@dirrmtry %%PYTHON_SITELIBDIR%%/Ice/IceBox
+%%PYTHON32%%@dirrmtry %%PYTHON_SITELIBDIR%%/Ice/IceGrid/__pycache__
+@dirrmtry %%PYTHON_SITELIBDIR%%/Ice/IceGrid
+%%PYTHON32%%@dirrmtry %%PYTHON_SITELIBDIR%%/Ice/IceMX/__pycache__
+@dirrmtry %%PYTHON_SITELIBDIR%%/Ice/IceMX
+%%PYTHON32%%@dirrmtry %%PYTHON_SITELIBDIR%%/Ice/IcePatch2/__pycache__
+@dirrmtry %%PYTHON_SITELIBDIR%%/Ice/IcePatch2
+%%PYTHON32%%@dirrmtry %%PYTHON_SITELIBDIR%%/Ice/IceStorm/__pycache__
+@dirrmtry %%PYTHON_SITELIBDIR%%/Ice/IceStorm
+%%PYTHON32%%@dirrmtry %%PYTHON_SITELIBDIR%%/Ice/__pycache__
+@dirrmtry %%PYTHON_SITELIBDIR%%/Ice
